Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(355)

Unified Diff: platform_tools/chromeos/bin/chromeos_make

Issue 17608003: Use a single cros_toolchain tarball for ChromeOS build (Closed) Base URL: http://skia.googlecode.com/svn/trunk/
Patch Set: Created 7 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « gyp/common.gypi ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/chromeos/bin/chromeos_make
===================================================================
--- platform_tools/chromeos/bin/chromeos_make (revision 9724)
+++ platform_tools/chromeos/bin/chromeos_make (working copy)
@@ -14,7 +14,6 @@
makeVars=""
deviceID=""
-crosBotoFile=""
while (( "$#" )); do
@@ -22,10 +21,6 @@
then
deviceID="$2"
shift
- elif [[ "$1" == "--cros-boto-file" ]];
- then
- crosBotoFile="$2"
- shift
else
makeVars="$makeVars $1"
fi
@@ -40,29 +35,6 @@
CHROMEOS_CHROOT="${SCRIPT_DIR}/../toolchain"
-# Obtain some extra headers and libraries if needed.
-if ! [[ -d "${CHROMEOS_CHROOT}/x86-generic" && \
- -d "${CHROMEOS_CHROOT}/amd64-generic" && \
- -d "${CHROMEOS_CHROOT}/arm-generic" ]]; then
- gsutil cp gs://chromium-skia-gm/chromeos-toolchains/cros_toolchain.tgz ${CHROMEOS_CHROOT}
- if [[ "$?" != "0" ]]; then
- exit 1
- fi
- pushd ${CHROMEOS_CHROOT} > /dev/null
- tar -zxvf cros_toolchain.tgz
- if [[ "$?" != "0" ]]; then
- exit 1
- fi
- rm cros_toolchain.tgz
- popd > /dev/null
-fi
-
-# If a boto file was provided, use that instead of the default.
-if [[ -n "$crosBotoFile" ]]; then
- export AWS_CREDENTIAL_FILE="$crosBotoFile"
- export BOTO_CONFIG="$crosBotoFile"
-fi
-
# Get the required SDK version.
# TODO(borenet): Should we instead get the latest from GS?
#SDK_VERSION=$(gsutil cat gs://chromeos-image-archive/${deviceID}-release/LATEST-master)
@@ -71,6 +43,22 @@
mkdir -p "${CHROMEOS_CHROOT}/src/chromeos"
echo -n ${SDK_VERSION} > "${CHROMEOS_CHROOT}/src/chromeos/CHROMEOS_LKGM"
+# Download the toolchain tarball if needed.
+# TODO(borenet): Let chrome-sdk take care of this once it works with external
+# boards.
+if ! [[ -d "${CHROMEOS_CHROOT}/.cros_cache" ]]; then
+ TARBALL="cros_toolchain.tgz"
+ gsutil cp gs://chromium-skia-gm/chromeos-toolchains/${TARBALL} ${CHROMEOS_CHROOT}
+ if [ "$?" != "0" ]
+ then
+ exit 1;
+ fi
+ pushd "${CHROMEOS_CHROOT}" > /dev/null
+ tar -zxvf ${TARBALL}
+ popd > /dev/null
+ rm ${CHROMEOS_CHROOT}/${TARBALL}
+fi
+
# Put a fake .gclient file in the toolchain directory so that the cros tool
# thinks we're in a Chrome checkout.
echo "Delete me!" > "${CHROMEOS_CHROOT}/.gclient"
« no previous file with comments | « gyp/common.gypi ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698